查询售后工单列表
POST
/pb/mp/returns/workOrder/list接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/pb/mp/returns/workOrder/list | HTTPS | POST | 10 |
请求参数
date_typestring必填start_timestring必填end_timestring必填offsetinteger必填lengthinteger必填请求示例
{
"date_type": "create_time",
"start_time": "2023-06-15 00:00:00",
"end_time": "2023-06-16 23:59:59",
"offset": 0,
"length": 20
}
返回结果
Json Object
codeinteger必填messagestring必填request_idstring必填response_timestring必填dataobject必填隐藏子属性
totalinteger必填listarray<object>必填隐藏子属性
rma_idstring必填rma_typeinteger必填statusstring必填order_numberstring必填platform_codestring必填countrystring必填store_namestring必填rma_frominteger必填rma_reasonstring必填return_warehouse_codestring必填return_warehouse_namestring必填return_type_codeinteger必填return_logistice_type_codeinteger必填return_logisticsstring必填tracking_numberstring必填estimate_arrive_datestring必填order_amountstring必填returen_methodinteger必填refund_statusstring必填commentstring必填create_timestring必填update_timestring必填complete_timestring必填tag_listarray<object>必填隐藏子属性
tag_idstring必填tag_namestring必填refundarray<object>必填隐藏子属性
platform_order_numberstring必填refund_amountnumber必填rma_infoarray<object>必填隐藏子属性
skustring必填mskustring必填product_namestring必填product_imagestring必填product_amountinteger必填product_rma_amountinteger必填product_commentstring必填product_rma_imagestring必填platform_order_nostring必填related_infoarray<object>必填隐藏子属性
return_order_idstring必填return_order_status_codeinteger必填issue_order_numberstring必填返回成功示例
{
"code": 0,
"message": "操作成功",
"request_id": "895f2f0493414a4184d28cffaff87a09.1686797615263",
"response_time": "2023-06-15 10:53:36",
"data": {
"total": 101,
"list": [
{
"status": "处理中/待收货",
"rma_id": 202306050003,
"rma_type": 2,
"order_number": 103280851812762112,
"platform_code": "10008",
"country": "美国",
"store_name": "test-walmart",
"rma_from": 2,
"rma_reason": "不给换",
"return_warehouse_code": 11,
"return_warehouse_name": "仓库11",
"return_type_code": 1,
"return_logistice_type_code": 1,
"return_logistics": "",
"tracking_number": "",
"estimate_arrive_date": 0,
"order_amount": null,
"refund_method": 1,
"refund_status": "",
"comment": "",
"create_time": "2023-06-09 11:23:44",
"update_time": "2023-06-09 11:25:01",
"complete_time": "2023-06-09 11:25:01",
"tag_list": [
{
"tag_id": "907225000920047630",
"tag_name": "RMA标签1"
}
],
"refund": [],
"rma_info": [
{
"sku": "SKUPIC",
"msku": "walm_test2_sku6kGpZ",
"product_name": "pic",
"product_image": "https://xxx/47889efe3d00df67cb39.jpg",
"product_amount": 5,
"product_rma_amount": 1,
"product_comment": "",
"product_rma_image": null,
"platform_order_no": "NINE00002"
}
],
"related_info": [
{
"return_order_id": "RT901280870700859904",
"return_order_status_code": 5,
"issue_order_number": null
},
{
"return_order_id": "RT901294602998157824",
"return_order_status_code": 3,
"issue_order_number": null
},
{
"return_order_id": "RT901294603713667072",
"return_order_status_code": 3,
"issue_order_number": null
},
{
"return_order_id": "RT901320516537774080",
"return_order_status_code": 3,
"issue_order_number": null
}
]
}
]
}
}
返回失败示例
{
"code": 102,
"response_time": "2023-06-15 10:30:23",
"message": "startTime时间格式不符合 yyyy-MM-dd HH:mm:ss",
"request_id": "bbf9d362-1b69-4703-bbb4-16dc2465f553.1688351423595",
"data": null
}